Skip to content

Generate new PFIDs with a partition matching the account

POST
/api/v1/pfid/generate
curl --request POST \
--url https://app.prefactorai.com/api/v1/pfid/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '"013xrzp12g3nqk8ns6jadrqmpgrjkeny"'
Account_Id

A valid account ID

string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny

Success

Media typeapplication/json
object
account_id
Account_Id

A valid account ID

string
pfids

Generated PFIDs with matching partition

Array<string>
status
string
Allowed values: success
Example
{
"account_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"pfids": [
"013xrzp12g3nqk8ns6jadrqmpgrjkeny"
],
"status": "success"
}

Error

Media typeapplication/json
One of:
object
code
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used
message
string
status
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}